## QOS Get Flow Status request

QOS Get Flow Status request

## Functions

QmiMessageQosGetFlowStatusInput * | qmi_message_qos_get_flow_status_input_new ()
QmiMessageQosGetFlowStatusInput * | qmi_message_qos_get_flow_status_input_ref ()
void | qmi_message_qos_get_flow_status_input_unref ()
gboolean | qmi_message_qos_get_flow_status_input_get_qos_id ()
gboolean | qmi_message_qos_get_flow_status_input_set_qos_id ()
QmiMessageQosGetFlowStatusOutput * | qmi_message_qos_get_flow_status_output_ref ()
void | qmi_message_qos_get_flow_status_output_unref ()
gboolean | qmi_message_qos_get_flow_status_output_get_result ()
gboolean | qmi_message_qos_get_flow_status_output_get_value ()
void | qmi_client_qos_get_flow_status ()
QmiMessageQosGetFlowStatusOutput * | qmi_client_qos_get_flow_status_finish ()

## Types and Values

| QmiMessageQosGetFlowStatusInput
| QmiMessageQosGetFlowStatusOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageQosGetFlowStatusInput
        ╰── QmiMessageQosGetFlowStatusOutput

## Description

## Functions

### qmi_message_qos_get_flow_status_input_new ()

    QmiMessageQosGetFlowStatusInput *
    qmi_message_qos_get_flow_status_input_new
                                   (void);

Allocates a new QmiMessageQosGetFlowStatusInput.

#### Returns

the newly created QmiMessageQosGetFlowStatusInput. The returned value should be freed with `qmi_message_qos_get_flow_status_input_unref()`.

Since: 1.22

### qmi_message_qos_get_flow_status_input_ref ()

    QmiMessageQosGetFlowStatusInput *
    qmi_message_qos_get_flow_status_input_ref
                                   (QmiMessageQosGetFlowStatusInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageQosGetFlowStatusInput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_message_qos_get_flow_status_input_unref ()

    void
    qmi_message_qos_get_flow_status_input_unref
                                   (QmiMessageQosGetFlowStatusInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageQosGetFlowStatusInput. |

Since: 1.22

### qmi_message_qos_get_flow_status_input_get_qos_id ()

    gboolean
    qmi_message_qos_get_flow_status_input_get_qos_id
                                   (QmiMessageQosGetFlowStatusInput *self,
                                    guint32 *value_qos_id,
                                    GError **error);

Get the 'Qos Id' field from `self` .

#### Parameters

self | a QmiMessageQosGetFlowStatusInput. |
value_qos_id | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_message_qos_get_flow_status_input_set_qos_id ()

    gboolean
    qmi_message_qos_get_flow_status_input_set_qos_id
                                   (QmiMessageQosGetFlowStatusInput *self,
                                    guint32 value_qos_id,
                                    GError **error);

Set the 'Qos Id' field in the message.

#### Parameters

self | a QmiMessageQosGetFlowStatusInput. |
value_qos_id | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.22

### qmi_message_qos_get_flow_status_output_ref ()

    QmiMessageQosGetFlowStatusOutput *
    qmi_message_qos_get_flow_status_output_ref
                                   (QmiMessageQosGetFlowStatusOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageQosGetFlowStatusOutput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_message_qos_get_flow_status_output_unref ()

    void
    qmi_message_qos_get_flow_status_output_unref
                                   (QmiMessageQosGetFlowStatusOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageQosGetFlowStatusOutput. |

Since: 1.22

### qmi_message_qos_get_flow_status_output_get_result ()

    gboolean
    qmi_message_qos_get_flow_status_output_get_result
                                   (QmiMessageQosGetFlowStatusOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageQosGetFlowStatusOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.22

### qmi_message_qos_get_flow_status_output_get_value ()

    gboolean
    qmi_message_qos_get_flow_status_output_get_value
                                   (QmiMessageQosGetFlowStatusOutput *self,
                                    QmiQosStatus *value_value,
                                    GError **error);

Get the 'Value' field from `self` .

#### Parameters

self | a QmiMessageQosGetFlowStatusOutput. |
value_value | a placeholder for the output QmiQosStatus, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_client_qos_get_flow_status ()

    void
    qmi_client_qos_get_flow_status (QmiClientQos *self,
                                    QmiMessageQosGetFlowStatusInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Get Flow Status request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_qos_get_flow_status_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientQos. |
input | a QmiMessageQosGetFlowStatusInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.22

### qmi_client_qos_get_flow_status_finish ()

    QmiMessageQosGetFlowStatusOutput *
    qmi_client_qos_get_flow_status_finish (QmiClientQos *self,
                                           GAsyncResult *res,
                                           GError **error);

Finishes an async operation started with `qmi_client_qos_get_flow_status()`.

#### Parameters

self | a QmiClientQos. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_qos_get_flow_status()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageQosGetFlowStatusOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_qos_get_flow_status_output_unref()`.

Since: 1.22

## Types and Values

### QmiMessageQosGetFlowStatusInput

    typedef struct _QmiMessageQosGetFlowStatusInput QmiMessageQosGetFlowStatusInput;

The QmiMessageQosGetFlowStatusInput structure contains private data and should only be accessed using the provided API.

Since: 1.22

### QmiMessageQosGetFlowStatusOutput

    typedef struct _QmiMessageQosGetFlowStatusOutput QmiMessageQosGetFlowStatusOutput;

The QmiMessageQosGetFlowStatusOutput structure contains private data and should only be accessed using the provided API.

Since: 1.22